3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { echo "trying\n"; throw new Exception('threw-during-try'); } catch (Exception $e) { echo "catching\n"; throw new Exception('threw-during-catch'); } finally { echo "finally-ing\n"; }
based on rbUtA
Output for 7.0.0 - 7.2.0
trying catching finally-ing Fatal error: Uncaught Exception: threw-during-catch in /in/5je3L:8 Stack trace: #0 {main} thrown in /in/5je3L on line 8
Process exited with code 255.
Output for 5.5.24 - 5.6.28
trying catching finally-ing Fatal error: Uncaught exception 'Exception' with message 'threw-during-catch' in /in/5je3L:8 Stack trace: #0 {main} thrown in /in/5je3L on line 8
Process exited with code 255.
Output for 5.3.20 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/5je3L on line 9
Process exited with code 255.